Uploaded image for project: 'Spatial Information Systems'
  1. Spatial Information Systems
  2. SIS-334

Replace JSR-275 dependency by JSR-363

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 0.3, 0.4, 0.5, 0.6, 0.7
    • Fix Version/s: 0.8
    • Labels:
      None

      Description

      Apache SIS versions 0.3 to 0.7 inclusive depend on JSR-275, which has been rejected by the Java Community Process (JCP). The replacement, JSR-363, is now ready and officially released. We need to perform the replacement before next SIS release. At first we need to replace all API usage, maybe using the JSR-363 reference implementation as a starting point. In a second step, we should use our own implementation for better support of NetCDF units, EPSG unit codes, etc.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                desruisseaux Martin Desruisseaux
                Reporter:
                desruisseaux Martin Desruisseaux
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: